Bug 1146184 - VUL-1: CVE-2019-9513: nghttp2: HTTP/2 implementation is vulnerable to resource loops, potentially leading to a denial of service.
VUL-1: CVE-2019-9513: nghttp2: HTTP/2 implementation is vulnerable to resourc...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/239515/
CVSSv3:SUSE:CVE-2019-9513:7.5:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-19 12:59 UTC by Robert Frohl
Modified: 2022-04-15 14:01 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-08-19 12:59:13 UTC
+++ This bug was initially created as a clone of Bug #1145580 +++

CVE-2019-9513

Some HTTP/2 implementations are vulnerable to resource loops, potentially
leading to a denial of service. The attacker creates multiple request streams
and continually shuffles the priority of the streams in a way that causes
substantial churn to the priority tree. This can consume excess CPU.

References:
https://github.com/nghttp2/nghttp2/releases/tag/v1.39.2
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9513
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-9513.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9513
http://www.cvedetails.com/cve/CVE-2019-9513/
https://kb.cert.org/vuls/id/605641/
https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md
Comment 4 Swamp Workflow Management 2019-09-26 16:16:29 UTC
SUSE-SU-2019:2473-1: An update that solves two vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1112438,1125689,1134616,1146182,1146184
CVE References: CVE-2019-9511,CVE-2019-9513
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    nghttp2-1.39.2-3.3.1, nghttp2-python-1.39.2-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    nghttp2-1.39.2-3.3.1, nghttp2-python-1.39.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    nghttp2-1.39.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    nghttp2-1.39.2-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-10-01 16:23:21 UTC
openSUSE-SU-2019:2232-1: An update that solves two vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1112438,1125689,1134616,1146182,1146184
CVE References: CVE-2019-9511,CVE-2019-9513
Sources used:
openSUSE Leap 15.1 (src):    nghttp2-1.39.2-lp151.3.3.1, nghttp2-python-1.39.2-lp151.3.3.1
Comment 6 Swamp Workflow Management 2019-10-01 19:14:14 UTC
openSUSE-SU-2019:2234-1: An update that solves two vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1112438,1125689,1134616,1146182,1146184
CVE References: CVE-2019-9511,CVE-2019-9513
Sources used:
openSUSE Leap 15.0 (src):    nghttp2-1.39.2-lp150.2.3.1, nghttp2-python-1.39.2-lp150.2.3.1
Comment 7 Tomáš Chvátal 2020-03-20 09:44:16 UTC
Should be done?
Comment 9 Swamp Workflow Management 2021-03-24 14:24:00 UTC
SUSE-SU-2021:0932-1: An update that solves 5 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1082318,1088639,1112438,1125689,1134616,1146182,1146184,1181358,962914,964140,966514
CVE References: CVE-2016-1544,CVE-2018-1000168,CVE-2019-9511,CVE-2019-9513,CVE-2020-11080
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud Crowbar 8 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud 9 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud 8 (src):    nghttp2-1.39.2-3.5.1
SUSE OpenStack Cloud 7 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP5 (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    nghttp2-1.39.2-3.5.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    nghttp2-1.39.2-3.5.1
HPE Helion Openstack 8 (src):    nghttp2-1.39.2-3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Gabriele Sonnu 2022-04-15 14:01:51 UTC
Done.